diff --git a/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java b/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
index 25e104a4e..0cb51fe93 100644
--- a/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
+++ b/src/main/java/net/minecraft/client/render/item/model/ItemModelStandard.java
@@ -4,17 +4,17 @@ import net.minecraft.client.Minecraft;
 import net.minecraft.client.render.EntityRenderDispatcher;
 import net.minecraft.client.render.FontRenderer;
 import net.minecraft.client.render.ItemRenderer;
-import net.minecraft.client.render.RenderBlocks;
 import net.minecraft.client.render.RenderEngine;
-import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.client.render.stitcher.IconCoordinate;
 import net.minecraft.client.render.stitcher.TextureRegistry;
+import net.minecraft.client.render.tessalator.Tessellator;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.player.EntityPlayer;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
 import net.minecraft.core.util.helper.MathHelper;
+import org.jetbrains.annotations.NotNull;
+import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
 import java.awt.*;
@@ -24,6 +24,8 @@ import static org.lwjgl.opengl.GL11.GL_BLEND;
 import static org.lwjgl.opengl.GL11.GL_CULL_FACE;
 import static org.lwjgl.opengl.GL11.GL_DEPTH_TEST;
 import static org.lwjgl.opengl.GL11.GL_LIGHTING;
+import static org.lwjgl.opengl.GL11.GL_ONE_MINUS_SRC_ALPHA;
+import static org.lwjgl.opengl.GL11.GL_SRC_ALPHA;
 import static org.lwjgl.opengl.GL11.GL_TEXTURE_2D;
 import static org.lwjgl.opengl.GL11.glBlendFunc;
 import static org.lwjgl.opengl.GL11.glDisable;
@@ -51,6 +53,10 @@ public class ItemModelStandard extends ItemModel{
 
     @Override
     public void renderItemFirstPerson(Tessellator tessellator, ItemRenderer renderer, EntityPlayer player, ItemStack stack, float partialTick) {
+        final Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
+        float brightness = player.getBrightness(1f);
+        if (mc.fullbright || itemfullBright) brightness = 1.0f;
+
         final float distanceScale = 0.8F; // Relates to how close the held item renders from the camera
         final float swingProgress = player.getSwingProgress(partialTick);
         final float animationProgress2 = MathHelper.sin(swingProgress * MathHelper.PI);
@@ -71,137 +77,34 @@ public class ItemModelStandard extends ItemModel{
 
         heldTransformFirstPerson(renderer, player, stack);
 
-        renderItem(tessellator, renderer,player, stack, true);
+        renderItem(tessellator, renderer, stack, player, brightness, true);
     }
 
     @Override
-    public void renderItem(Tessellator tessellator, ItemRenderer renderer, Entity entity, ItemStack itemstack, boolean handheldTransform) {
-        final Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
-
-        IconCoordinate tex = getIcon(entity, itemstack);
-        tex.parentAtlas.bindTexture();
-        int tileWidth = tex.width;
-
-        float brightness = entity.getBrightness(1f);
-        if (mc.fullbright || itemfullBright) brightness = 1.0f;
-        if (useColor) {
-            final int color = getColor(itemstack);
-            final float r = (color >> 16 & 0xff) / 255F;
-            final float g = (color >> 8 & 0xff) / 255F;
-            final float b = (color & 0xff) / 255F;
-            GL11.glColor4f(r * brightness, g * brightness, b * brightness, 1.0F);
-        }  else {
-            GL11.glColor4f(brightness, brightness, brightness, 1.0F);
-        }
-
-        double uMin = tex.getIconUMin();
-        double uMax = tex.getIconUMax();
-        double vMin = tex.getIconVMin();
-        double vMax = tex.getIconVMax();
-        double uDiff = uMin - uMax;
-        double vDiff = vMin - vMax;
-        final double width = 1.0D;
-
-        final double foon = 0.5D * tex.parentAtlas.getInverseWidth();
-        final double goon = 0.0625D * (16.0D / tileWidth);
-        GL11.glEnable(32826 /*GL_RESCALE_NORMAL_EXT*/);
+    public void renderItem(Tessellator tessellator, ItemRenderer renderer, ItemStack itemstack, @Nullable Entity entity, float brightness, boolean handheldTransform) {
+        if (itemfullBright) brightness = 1f;
         if(handheldTransform) {
             GL11.glTranslatef(-0.0F, -0.3F, 0.0F);
-            final double handheldScale = 1.5F;
-            GL11.glScaled(handheldScale, handheldScale, handheldScale);
-            GL11.glRotated(50F, 0.0F, 1.0F, 0.0F);
-            GL11.glRotated(335F, 0.0F, 0.0F, 1.0F);
-            GL11.glTranslated(-0.9375F, -0.0625F, 0.0F);
+            final float handheldScale = 1.5F;
+            GL11.glScalef(handheldScale, handheldScale, handheldScale);
+            GL11.glRotatef(50F, 0.0F, 1.0F, 0.0F);
+            GL11.glRotatef(335F, 0.0F, 0.0F, 1.0F);
+            GL11.glTranslatef(-0.9375F, -0.0625F, 0.0F);
         }
-        final double thickness = 0.0625D;
-        final double pixelWidth = 1D/tileWidth;
 
-        // Back Face
-        tessellator.startDrawingQuads();
-        tessellator.setNormal(0.0F, 0.0F, 1.0F);
-        tessellator.addVertexWithUV(0.0D, 0.0D, 0.0D, uMax, vMax);
-        tessellator.addVertexWithUV(width,0.0D, 0.0D, uMin, vMax);
-        tessellator.addVertexWithUV(width,1.0D, 0.0D, uMin, vMin);
-        tessellator.addVertexWithUV(0.0D, 1.0D, 0.0D, uMax, vMin);
-        tessellator.draw();
+        renderItemInWorld(tessellator, entity, itemstack, brightness, 1f, false);
 
-        // Front Face
-        tessellator.startDrawingQuads();
-        tessellator.setNormal(0.0F, 0.0F, -1F);
-        tessellator.addVertexWithUV(0.0D, 1.0D, -thickness, uMax, vMin);
-        tessellator.addVertexWithUV(width,1.0D, -thickness, uMin, vMin);
-        tessellator.addVertexWithUV(width,0.0D, -thickness, uMin, vMax);
-        tessellator.addVertexWithUV(0.0D, 0.0D, -thickness, uMax, vMax);
-        tessellator.draw();
-
-        // Right Sides
-        tessellator.startDrawingQuads();
-        tessellator.setNormal(-1F, 0.0F, 0.0F);
-        for(int i = 0; i < tileWidth; i++)
-        {
-            double texProgress = i * pixelWidth;
-            double u = (uMax + uDiff * texProgress) - foon;
-            double x = width * texProgress;
-            tessellator.addVertexWithUV(x, 0.0D,    -thickness, u, vMax);
-            tessellator.addVertexWithUV(x, 0.0D,    0.0D,       u, vMax);
-            tessellator.addVertexWithUV(x, 1.0D,    0.0D,       u, vMin);
-            tessellator.addVertexWithUV(x, 1.0D,    -thickness, u, vMin);
-        }
-        tessellator.draw();
-
-        // Left Sides
-        tessellator.startDrawingQuads();
-        tessellator.setNormal(1.0F, 0.0F, 0.0F);
-        for(int i = 0; i < tileWidth; i++)
-        {
-            double texProgress = i * pixelWidth;
-            double u = (uMax + uDiff * texProgress) - foon;
-            double x = width * texProgress + goon;
-            tessellator.addVertexWithUV(x, 1.0D,    -thickness, u, vMin);
-            tessellator.addVertexWithUV(x, 1.0D,    0.0D,       u, vMin);
-            tessellator.addVertexWithUV(x, 0.0D,    0.0D,       u, vMax);
-            tessellator.addVertexWithUV(x, 0.0D,    -thickness, u, vMax);
-        }
-        tessellator.draw();
-
-        // Top Sides
-        tessellator.startDrawingQuads();
-        tessellator.setNormal(0.0F, 1.0F, 0.0F);
-        for(int i = 0; i < tileWidth; i++)
-        {
-            double texProgress = i * pixelWidth;
-            double v = (vMax + vDiff * texProgress) - foon;
-            double y = width * texProgress + goon;
-            tessellator.addVertexWithUV(0.0D,   y,  0.0D,       uMax, v);
-            tessellator.addVertexWithUV(width,  y,  0.0D,       uMin, v);
-            tessellator.addVertexWithUV(width,  y,  -thickness, uMin, v);
-            tessellator.addVertexWithUV(0.0D,   y,  -thickness, uMax, v);
-        }
-        tessellator.draw();
-
-        // Bottom Sides
-        tessellator.startDrawingQuads();
-        tessellator.setNormal(0.0F, -1F, 0.0F);
-        for(int i = 0; i < tileWidth; i++)
-        {
-            double texProgress = i * pixelWidth;
-            double v = (vMax + vDiff * texProgress) - foon;
-            double y = width * texProgress;
-            tessellator.addVertexWithUV(width,  y, 0.0D,        uMin, v);
-            tessellator.addVertexWithUV(0.0D,   y, 0.0D,        uMax, v);
-            tessellator.addVertexWithUV(0.0D,   y, -thickness,  uMax, v);
-            tessellator.addVertexWithUV(width,  y, -thickness,  uMin, v);
-        }
-        tessellator.draw();
-
-        GL11.glDisable(32826 /*GL_RESCALE_NORMAL_EXT*/);
     }
 
     @Override
     public void renderItemThirdPerson(Tessellator tessellator, ItemRenderer renderer, Entity entity, ItemStack itemstack, boolean handheldTransform) {
+        final Minecraft mc = Minecraft.getMinecraft(Minecraft.class);
+        float brightness = entity.getBrightness(1f);
+        if (mc.fullbright || itemfullBright) brightness = 1.0f;
+
         GL11.glTranslatef(-0.0625F, 0.4375F, 0.0625F);
         heldTransformThirdPerson(renderer, entity, itemstack);
-        renderItem(tessellator, renderer, entity, itemstack, handheldTransform);
+        renderItem(tessellator, renderer, itemstack, entity, brightness, handheldTransform);
     }
 
     @Override
@@ -224,7 +127,7 @@ public class ItemModelStandard extends ItemModel{
             } else {
                 GL11.glColor4f(brightness, brightness, brightness, alpha);
             }
-            renderTexturedQuad(tessellator, x, y, textureIndex, false, false);
+            renderTexturedQuad(tessellator, x, y, textureIndex);
             glEnable(GL_LIGHTING);
         }
         glEnable(GL_CULL_FACE);
@@ -267,14 +170,14 @@ public class ItemModelStandard extends ItemModel{
     }
 
     @Override
-    public void renderAsItemEntity(Tessellator tessellator, EntityItem entity, RenderBlocks renderBlocks, Random random, ItemStack itemstack, int renderCount, float yaw, float partialTick) {
+    public void renderAsItemEntity(Tessellator tessellator, @Nullable Entity entity, Random random, ItemStack itemstack, int renderCount, float yaw, float brightness, float partialTick) {
         final Minecraft mc = Minecraft.getMinecraft(this);
+        if (mc.fullbright || itemfullBright) brightness = 1.0f;
+
         EntityRenderDispatcher renderDispatcher = EntityRenderDispatcher.instance;
         GL11.glScalef(0.5F, 0.5F, 0.5F);
         final IconCoordinate tex = getIcon(entity, itemstack);
         tex.parentAtlas.bindTexture();
-        float brightness = entity.getBrightness(partialTick);
-        if (mc.fullbright || itemfullBright) brightness = 1.0f;
         if (useColor) {
             final int color = getColor(itemstack);
             final float r = (color >> 16 & 0xff) / 255F;
@@ -295,7 +198,7 @@ public class ItemModelStandard extends ItemModel{
                 glPushMatrix();
 
                 glTranslated(0.0, 0.0, 0.1 * i);
-                renderItem(tessellator, renderDispatcher.itemRenderer, entity, itemstack, false);
+                renderItem(tessellator, renderDispatcher.itemRenderer, itemstack, entity, brightness, false);
                 glPopMatrix();
             }
 
@@ -315,6 +218,125 @@ public class ItemModelStandard extends ItemModel{
             }
         }
     }
+
+    @Override
+    public void renderItemInWorld(Tessellator tessellator, Entity entity, ItemStack itemStack, float brightness, float alpha, boolean worldTransform) {
+        GL11.glEnable(GL_BLEND);
+        GL11.glBlendFunc(GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
+        if (useColor) {
+            final int color = getColor(itemStack);
+            final float r = (color >> 16 & 0xff) / 255F;
+            final float g = (color >> 8 & 0xff) / 255F;
+            final float b = (color & 0xff) / 255F;
+            GL11.glColor4f(r * brightness, g * brightness, b * brightness, alpha);
+        }  else {
+            GL11.glColor4f(brightness, brightness, brightness, alpha);
+        }
+
+        IconCoordinate tex = getIcon(entity, itemStack);
+        tex.parentAtlas.bindTexture();
+        int tileWidth = tex.width;
+
+        float uMin = (float) tex.getIconUMin();
+        float uMax = (float) tex.getIconUMax();
+        float vMin = (float) tex.getIconVMin();
+        float vMax = (float) tex.getIconVMax();
+        float uDiff = uMin - uMax;
+        float vDiff = vMin - vMax;
+        final float width = 1.0F;
+
+        final float foon = (0.5f / 512);
+        final float goon = 0.0625f * (16.0f / tileWidth);
+        GL11.glEnable(32826 /*GL_RESCALE_NORMAL_EXT*/);
+        final float thickness = 0.0625f;
+        final float pixelWidth = 1f/tileWidth;
+
+        if (worldTransform){
+            GL11.glTranslatef(-0.5f, -0.5f, thickness/2);
+        }
+
+        // Back Face
+        tessellator.startDrawingQuads();
+        tessellator.setNormal(0.0F, 0.0F, 1.0F);
+        tessellator.addVertexWithUV(0.0D, 0.0D, 0.0D, uMax, vMax);
+        tessellator.addVertexWithUV(width,0.0D, 0.0D, uMin, vMax);
+        tessellator.addVertexWithUV(width,1.0D, 0.0D, uMin, vMin);
+        tessellator.addVertexWithUV(0.0D, 1.0D, 0.0D, uMax, vMin);
+        tessellator.draw();
+
+        // Front Face
+        tessellator.startDrawingQuads();
+        tessellator.setNormal(0.0F, 0.0F, -1F);
+        tessellator.addVertexWithUV(0.0D, 1.0D, -thickness, uMax, vMin);
+        tessellator.addVertexWithUV(width,1.0D, -thickness, uMin, vMin);
+        tessellator.addVertexWithUV(width,0.0D, -thickness, uMin, vMax);
+        tessellator.addVertexWithUV(0.0D, 0.0D, -thickness, uMax, vMax);
+        tessellator.draw();
+
+        // Right Sides
+        tessellator.startDrawingQuads();
+        tessellator.setNormal(-1F, 0.0F, 0.0F);
+        for(int i = 0; i < tileWidth; i++)
+        {
+            float texProgress = i * pixelWidth;
+            float u = (uMax + uDiff * texProgress) - foon;
+            float x = width * texProgress;
+            tessellator.addVertexWithUV(x, 0.0D,    -thickness, u, vMax);
+            tessellator.addVertexWithUV(x, 0.0D,    0.0D,       u, vMax);
+            tessellator.addVertexWithUV(x, 1.0D,    0.0D,       u, vMin);
+            tessellator.addVertexWithUV(x, 1.0D,    -thickness, u, vMin);
+        }
+        tessellator.draw();
+
+        // Left Sides
+        tessellator.startDrawingQuads();
+        tessellator.setNormal(1.0F, 0.0F, 0.0F);
+        for(int i = 0; i < tileWidth; i++)
+        {
+            float texProgress = i * pixelWidth;
+            float u = (uMax + uDiff * texProgress) - foon;
+            float x = width * texProgress + goon;
+            tessellator.addVertexWithUV(x, 1.0D,    -thickness, u, vMin);
+            tessellator.addVertexWithUV(x, 1.0D,    0.0D,       u, vMin);
+            tessellator.addVertexWithUV(x, 0.0D,    0.0D,       u, vMax);
+            tessellator.addVertexWithUV(x, 0.0D,    -thickness, u, vMax);
+        }
+        tessellator.draw();
+
+        // Top Sides
+        tessellator.startDrawingQuads();
+        tessellator.setNormal(0.0F, 1.0F, 0.0F);
+        for(int i = 0; i < tileWidth; i++)
+        {
+            float texProgress = i * pixelWidth;
+            float v = (vMax + vDiff * texProgress) - foon;
+            float y = width * texProgress + goon;
+            tessellator.addVertexWithUV(0.0D,   y,  0.0D,       uMax, v);
+            tessellator.addVertexWithUV(width,  y,  0.0D,       uMin, v);
+            tessellator.addVertexWithUV(width,  y,  -thickness, uMin, v);
+            tessellator.addVertexWithUV(0.0D,   y,  -thickness, uMax, v);
+        }
+        tessellator.draw();
+
+        // Bottom Sides
+        tessellator.startDrawingQuads();
+        tessellator.setNormal(0.0F, -1F, 0.0F);
+        for(int i = 0; i < tileWidth; i++)
+        {
+            float texProgress = i * pixelWidth;
+            float v = (vMax + vDiff * texProgress) - foon;
+            float y = width * texProgress;
+            tessellator.addVertexWithUV(width,  y, 0.0D,        uMin, v);
+            tessellator.addVertexWithUV(0.0D,   y, 0.0D,        uMax, v);
+            tessellator.addVertexWithUV(0.0D,   y, -thickness,  uMax, v);
+            tessellator.addVertexWithUV(width,  y, -thickness,  uMin, v);
+        }
+        tessellator.draw();
+
+        GL11.glDisable(32826 /*GL_RESCALE_NORMAL_EXT*/);
+        GL11.glDisable(GL_BLEND);
+    }
+
     public void renderFlat(Tessellator tessellator, IconCoordinate index){
         final float xOff = 0.5F;
         final float yOff = 0.25F;
@@ -362,7 +384,7 @@ public class ItemModelStandard extends ItemModel{
             GL11.glRotatef(-20F, 0.0F, 1.0F, 0.0F);
         }
     }
-    public IconCoordinate getIcon(Entity entity, ItemStack itemStack){
+    public @NotNull IconCoordinate getIcon(@Nullable Entity entity, ItemStack itemStack){
         return icon;
     }
     public int getColor(ItemStack stack)
@@ -385,6 +407,10 @@ public class ItemModelStandard extends ItemModel{
         tessellator.draw();
     }
 
+    protected void renderTexturedQuad(Tessellator tessellator, int x, int y, IconCoordinate icon) {
+        renderTexturedQuad(tessellator, x, y, icon, false, false);
+    }
+
     protected void renderTexturedQuad(Tessellator tessellator, int x, int y, IconCoordinate icon, boolean flipX, boolean flipY) {
         final float z = 0.0F;
         double uMin = icon.getIconUMin();
@@ -407,6 +433,7 @@ public class ItemModelStandard extends ItemModel{
         tessellator.addVertexWithUV(x + 16, y,      z, uMax, vMin);
         tessellator.addVertexWithUV(x,      y,      z, uMin, vMin);
         tessellator.draw();
+
     }
 
     public ItemModelStandard setFull3D()
@@ -429,4 +456,4 @@ public class ItemModelStandard extends ItemModel{
         itemfullBright = true;
         return this;
     }
-}
+}
\ No newline at end of file
diff --git a/src/main/java/net/minecraft/client/render/stitcher/AtlasStitcher.java b/src/main/java/net/minecraft/client/render/stitcher/AtlasStitcher.java
index e661cf11d..b4e92176a 100644
--- a/src/main/java/net/minecraft/client/render/stitcher/AtlasStitcher.java
+++ b/src/main/java/net/minecraft/client/render/stitcher/AtlasStitcher.java
@@ -49,6 +49,7 @@ public class AtlasStitcher {
         List<IconCoordinate> coordinateList = new ArrayList<>(textureMap.values());
         for (IconCoordinate coordinate : coordinateList){
             BufferedImage image = Textures.readImage(mc.texturePackList.getResourceAsStream(coordinate.sourceImage));
+            if (image == null) image = Textures.missingTexture;
             if (image == Textures.missingTexture){
                 System.out.println(coordinate.sourceImage + " could not be found!");
             }
diff --git a/src/main/java/net/minecraft/client/render/stitcher/TextureRegistry.java b/src/main/java/net/minecraft/client/render/stitcher/TextureRegistry.java
index d7be53138..3979a5400 100644
--- a/src/main/java/net/minecraft/client/render/stitcher/TextureRegistry.java
+++ b/src/main/java/net/minecraft/client/render/stitcher/TextureRegistry.java
@@ -67,7 +67,7 @@ public class TextureRegistry {
             String name = file.getFileName().toString();
             if (name.endsWith(".png")){
                 atlas.getTexture(namespace + ":" + file.getFileName().toString().replace(".png", ""));
-                System.out.println(namespace + ":" + file.getFileName().toString().replace(".png", ""));
+//                System.out.println(namespace + ":" + file.getFileName().toString().replace(".png", ""));
             }
         }
         walk.close();
diff --git a/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMesh.java b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMesh.java
new file mode 100644
index 000000000..4e6926f9d
--- /dev/null
+++ b/src/main/java/net/minecraft/client/render/tileentity/TileEntityRendererMesh.java
@@ -0,0 +1,35 @@
+package net.minecraft.client.render.tileentity;
+
+import net.minecraft.client.Minecraft;
+import net.minecraft.client.render.EntityRenderDispatcher;
+import net.minecraft.client.render.RenderBlocks;
+import net.minecraft.client.render.block.model.BlockModel;
+import net.minecraft.client.render.item.model.ItemModelDispatcher;
+import net.minecraft.client.render.tessalator.Tessellator;
+import net.minecraft.client.render.tessalator.TessellatorStandard;
+import net.minecraft.core.block.entity.TileEntityMeshGold;
+import net.minecraft.core.util.helper.MathHelper;
+import net.minecraft.core.world.World;
+import org.lwjgl.opengl.GL11;
+
+public class TileEntityRendererMesh extends TileEntityRenderer<TileEntityMeshGold> {
+
+    @Override
+    public void doRender(Tessellator tessellator, TileEntityMeshGold tileEntity, double x, double y, double z, float renderPartialTicks) {
+        if(tileEntity.filterItem == null) return;
+        GL11.glPushMatrix();
+
+        final float bobbingOffset = MathHelper.sin((tileEntity.ticksRan + renderPartialTicks) / 10F) * 0.1F + 0.1F;
+        final float f3 = (float) Math.toDegrees(((tileEntity.ticksRan + renderPartialTicks) / 20F));
+
+        GL11.glTranslatef((float) x + 0.5f, (float) y + bobbingOffset + 0.25f, (float) z + 0.5f);
+
+        float lightLevel = Minecraft.getMinecraft(this).theWorld.getLightBrightness(tileEntity.x, tileEntity.y, tileEntity.z);
+        if (Minecraft.getMinecraft(this).fullbright) lightLevel = 1.0f;
+        BlockModel.setRenderBlocks(EntityRenderDispatcher.instance.itemRenderer.renderBlocksInstance);
+        GL11.glEnable(32826 /*GL_RESCALE_NORMAL_EXT*/);
+        ItemModelDispatcher.getInstance().getDispatch(tileEntity.filterItem).renderAsItemEntity(TessellatorStandard.instance, null, tileEntity.worldObj.rand, tileEntity.filterItem, 1, f3, lightLevel, renderPartialTicks);
+        GL11.glDisable(32826 /*GL_RESCALE_NORMAL_EXT*/);
+        GL11.glPopMatrix();
+    }
+}
diff --git a/src/main/java/net/minecraft/core/achievement/stat/StatList.java b/src/main/java/net/minecraft/core/achievement/stat/StatList.java
index 00ddb293e..b2f7dbda2 100644
--- a/src/main/java/net/minecraft/core/achievement/stat/StatList.java
+++ b/src/main/java/net/minecraft/core/achievement/stat/StatList.java
@@ -1,5 +1,6 @@
 package net.minecraft.core.achievement.stat;
 
+import net.minecraft.core.Global;
 import net.minecraft.core.achievement.AchievementList;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
@@ -118,7 +119,7 @@ public abstract class StatList
         pickUpItemStats = new Stat[Item.itemsList.length];
         for (int i = 0; i < Item.itemsList.length; i++)
         {
-            pickUpItemStats[i] = (new StatItem(0x1040000 + i, "", i)).registerStat();
+            pickUpItemStats[i] = (new StatItem(0x1040000 + i, "", i)).registerStat().setClientside();
         }
 
         mobEncounterStats = new HashMap<>();
